package jalview.ext.treeviewer;

import jalview.datamodel.SequenceI;

import java.util.Map;

/**
 * Interface for associating the nodes of a loaded in (instead of calculated)
 * tree to the sequences of an alignment in Jalview.
 * 
 * @author kjvanderheide
 *
 */
public interface LoadedTreeAssociationI
{
  /**
   * Tries to match the loaded in tree nodes as best as possible with Jalview
   * sequences
   * 
   * Partially refactored from the old Jalview TreeModel
   * associateLeavesToSequences method.
   */
  public void associateNodesToSequences();

  /**
   * @see jalview.ext.treeviewer.TreeViewerBindingI#getAlignmentWithNodes()
   * 
   * 
   */
  public Map<SequenceI, TreeNodeI> getAlignmentWithNodes();

  /**
   * @see jalview.ext.treeviewer.TreeViewerBindingI#getNodesWithAlignment()
   * 
   * 
   * 
   */
  public Map<TreeNodeI, SequenceI> getNodesWithAlignment();
}
